unit uIDataModuleContabilidad;

interface

uses
  uBizEpigrafes, uBizCuentasEspeciales, uBizBalances, uBizCuentas, uBizSubCuentas,
  uBizAsientos, uBizDiario;

type
  IDataModuleContabilidad = interface(IInterface)
  ['{CC6A63E1-2AF2-40E5-B6DC-46CC1549AA56}']
    function GetEpigrafeItems: IBizEpigrafe;
    function GetCuentaEspecialItems: IBizCuentaEspecial;
    function GetBalanceItems: IBizBalance;
    function GetCuentaItems: IBizCuenta;
    function GetSubCuentaItems: IBizSubCuenta;
    function GetSubCuentaItem(const ID: Integer): IBizSubCuenta;
    function NewSubCuentaItem : IBizSubCuenta;
    function GetAsientosDiarioItems: IBizDiario;
    function GetExtractoMovimientosItems: IBizExtractoMovimiento;    
    function GetAsientoItem(const ID : Integer): IBizAsiento;
    procedure PuntearAsiento(IDAsiento: Integer);
    procedure PuntearSubCuenta(IDSubcuenta: Integer);     
  end;

implementation

end.
